Name:		cego
Version:	2.20.19
Release:	1.3
Group:		Productivity/Databases
Summary:	Cego relational database
License:	GPLv2
Url:		http://www.lemke-it.com
Source0:	http://www.lemke-it.com/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gcc-c++
BuildRequires:	openssl-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	liblfcxml-devel >= 1.1.3
BuildRequires:	liblfcbase-devel >= 1.5.6


%description
Cego is the open source implementation of a relational database using a modern
state of the art software design ( object oriented ) Basically, Cego supports
transactional SQL query requests using all common programming interfaces ( C, C++, DBD, Java )
in a multithreaded architecture. For high availablility requirements, Cego supports
a distributed database shadowing feature as known from some commercial products.
In general, cego provides high end database features as just known from some high end database products. 

%package devel
Group:          Productivity/Databases
Summary:        Development files for cego
Requires:       cego = %{version}
Requires:	liblfcxml-devel >= 1.1.3
Requires:	liblfcbase-devel >= 1.5.4

%description devel
This package contains development files for cego

%prep
%setup

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
##%{_bindir}/cgbackup
##%{_bindir}/cgmkdb
##%{_bindir}/cgrecover
%{_bindir}/cego
%{_bindir}/cgadm
%{_bindir}/cgblow
%{_bindir}/cgclt
%{_bindir}/cglog
%{_libdir}/libcego.so.1*
%{_libdir}/libcgwrap.so.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cego
%{_includedir}/cego/CegoAdminHandler.h
%{_includedir}/cego/CegoAdmNet.h
%{_includedir}/cego/CegoBlob.h
%{_includedir}/cego/CegoCheckObject.h
%{_includedir}/cego/CegoContentObject.h
%{_includedir}/cego/CegoDataPointer.h
%{_includedir}/cego/CegoDataType.h
%{_includedir}/cego/CegoDbHandler.h
%{_includedir}/cego/CegoDecodableObject.h
%{_includedir}/cego/CegoField.h
%{_includedir}/cego/CegoFieldValue.h
%{_includedir}/cego/CegoJoinObject.h
%{_includedir}/cego/CegoKeyObject.h
%{_includedir}/cego/CegoModule.h
%{_includedir}/cego/CegoNet.h
%{_includedir}/cego/CegoObject.h
%{_includedir}/cego/CegoOutput.h
%{_includedir}/cego/CegoProcObject.h
%{_includedir}/cego/CegoProcVar.h
%{_includedir}/cego/CegoSerial.h
%{_includedir}/cego/CegoTableObject.h
%{_includedir}/cego/CegoViewObject.h
%{_includedir}/cego/cgwrap.h
%{_libdir}/libcego.a
%{_libdir}/libcego.la
%{_libdir}/libcego.so
%{_libdir}/libcgwrap.a
%{_libdir}/libcgwrap.la
%{_libdir}/libcgwrap.so

%changelog
* Fri Jan 30 2015 cs@linux-administrator.com
- Update to version 2.20.19
* Fri Oct 17 2014 cs@linux-administrator.com
- Update to version 2.20.14
* Mon Jun 16 2014 cs@linux-administrator.com
- Update to version 2.20.10
* Mon Apr 14 2014 cs@linux-administrator.com
- Update to version 2.20.9
* Sun Apr  6 2014 cs@linux-administrator.com
- Update to version 2.20.8
* Mon Mar 17 2014 cs@linux-administrator.com
- Update to version 2.20.7
* Tue Feb 25 2014 cs@linux-administrator.com
- Update to version 2.20.6
* Sun Feb 23 2014 cs@linux-administrator.com
- Update to version 2.20.5
* Mon Feb  3 2014 cs@linux-administrator.com
- Update to version 2.20.3
* Sun Jan 26 2014 cs@linux-administrator.com
- Update to version 2.20.1
* Wed Jan  8 2014 cs@linux-administrator.com
- Update to version 2.19.14
* Sat Nov 16 2013 cs@linux-administrator.com
- Update to version 2.19.12
* Fri Nov  1 2013 cs@linux-administrator.com
- Update to version 2.19.11
* Fri Oct 25 2013 cs@linux-administrator.com
- Update to version 2.19.10
* Wed Oct 23 2013 cs@linux-administrator.com
- Update to version 2.19.8
* Mon Oct 21 2013 cs@linux-administrator.com
- Update to version 2.19.7
* Fri Sep  6 2013 cs@linux-administrator.com
- Update to version 2.19.6
* Tue Sep  3 2013 cs@linux-administrator.com
- Update to version 2.19.5
* Thu Aug 15 2013 cs@linux-administrator.com
- Update to version 2.19.4
* Wed Aug  7 2013 cs@linux-administrator.com
- Update to version 2.19.3
* Tue Jul 30 2013 cs@linux-administrator.com
- Update to version 2.19.2
* Mon Jul 29 2013 cs@linux-administrator.com
- Update to version 2.19.1
* Thu Jul 18 2013 cs@linux-administrator.com
- Update to version 2.18.11
* Mon Jul  8 2013 cs@linux-administrator.com
- Update to version 2.18.10
* Sat Jun 22 2013 cs@linux-administrator.com
- Update to version 2.18.9
* Fri Jun  7 2013 cs@linux-administrator.com
- Update to version 2.18.8
* Mon May 27 2013 cs@linux-administrator.com
- Update to version 2.18.7
* Sat May 25 2013 cs@linux-administrator.com
- Update to version 2.18.6
* Mon May 20 2013 cs@linux-administrator.com
- Update to version 2.18.4
* Thu May 16 2013 cs@linux-administrator.com
- Update to version 2.18.2
* Wed May 15 2013 cs@linux-administrator.com
- Update to version 2.18.1
* Fri May 10 2013 cs@linux-administrator.com
- Update to version 2.17.12
* Tue May  7 2013 cs@linux-administrator.com
- Update to version 2.17.10
* Wed May  1 2013 cs@linux-administrator.com
- Update to version 2.17.9
* Fri Apr 12 2013 cs@linux-administrator.com
- Update to version 2.17.8
* Sat Apr  6 2013 cs@linux-administrator.com
- Update to version 2.17.7
* Fri Apr  5 2013 cs@linux-administrator.com
- Update to version 2.17.6
* Tue Mar 26 2013 cs@linux-administrator.com
- Update to version 2.17.5
* Sat Feb 23 2013 cs@linux-administrator.com
- Update to version 2.17.4
* Sun Feb 17 2013 cs@linux-administrator.com
- Update to version 2.17.3
* Fri Feb  8 2013 cs@linux-administrator.com
- Update to version 2.17.2
* Mon Jan 28 2013 cs@linux-administrator.com
- Update to version 2.16.1
* Thu Jan 17 2013 cs@linux-administrator.com
- Update to version 2.15.8
* Mon Jan 14 2013 cs@linux-administrator.com
- Update to version 2.15.7
* Thu Jan 10 2013 cs@linux-administrator.com
- Update to version 2.15.6
* Mon Jan  7 2013 cs@linux-administrator.com
- Update to version 2.15.5
* Tue Jan  1 2013 cs@linux-administrator.com
- Update to version 2.15.4
* Mon Dec 31 2012 cs@linux-administrator.com
- Update to version 2.15.3
* Sat Dec 29 2012 cs@linux-administrator.com
- Update to version 2.15.2
* Tue Nov 20 2012 cs@linux-administrator.com
- Update to version 2.14.1
* Sun Sep 16 2012 cs@linux-administrator.com
- Update to version 2.14.0
* Fri Sep  7 2012 cs@linux-administrator.com
- Update to version 2.13.11
* Tue Sep  4 2012 cs@linux-administrator.com
- Update to version 2.13.10
* Sun Sep  2 2012 cs@linux-administrator.com
- Update to version 2.13.9
* Wed Aug 15 2012 cs@linux-administrator.com
- Update to version 2.13.8
* Tue Aug  7 2012 cs@linux-administrator.com
- Update to version 2.13.7
* Sat Jul 28 2012 cs@linux-administrator.com
- Update to version 2.13.6
* Sat Jul 21 2012 cs@linux-administrator.com
- Update to version 2.13.5
* Sat Jul 14 2012 cs@linux-administrator.com
- Update to version 2.13.4
* Mon Jul  2 2012 cs@linux-administrator.com
- Update to version 2.13.2
* Sun May 27 2012 cs@linux-administrator.com
- Update to version 2.13.1
* Fri May 18 2012 cs@linux-administrator.com
- Update to version 2.13.0
* Sat Apr 28 2012 cs@linux-administrator.com
- Update to version 2.12.8
* Fri Apr 13 2012 cs@linux-administrator.com
- Update to version 2.12.7
* Sun Apr  8 2012 cs@linux-administrator.com
- Update to version 2.12.6
* Thu Apr  5 2012 cs@linux-administrator.com
- Update to version 2.12.5
* Wed Apr  4 2012 cs@linux-administrator.com
- Update to version 2.12.4
* Sun Apr  1 2012 cs@linux-administrator.com
- Update to version 2.12.3
* Sat Mar 31 2012 cs@linux-administrator.com
- Update to version 2.12.2
* Mon Nov 14 2011 cs@linux-administrator.com
- Update to version 2.11.7
* Sun Oct 16 2011 cs@linux-administrator.com
- Update to version 2.11.4
* Mon Oct 10 2011 cs@linux-administrator.com
- Update to version 2.11.3
* Mon Sep 26 2011 cs@linux-administrator.com
- Update to version 2.11.2
* Sun Sep 11 2011 cs@linux-administrator.com
- Update to version 2.11.0
* Sun Aug  7 2011 cs@linux-administrator.com
- Update to version 2.10.13
* Fri Jul 22 2011 cs@linux-administrator.com
- Update to version 2.10.11
* Wed Jul 20 2011 cs@linux-administrator.com
- Update to version 2.10.10
* Sat Jul  9 2011 cs@linux-administrator.com
- Update to version 2.10.7
* Tue Jul  5 2011 cs@linux-administrator.com
- Update to version 2.10.6
* Sun Jul  3 2011 cs@linux-administrator.com
- Update to version 2.10.5
* Thu Jun 30 2011 cs@linux-administrator.com
- Update to version 2.10.4
* Sat Jun 25 2011 cs@linux-administrator.com
- Update to version 2.10.2
* Sat Jun 25 2011 cs@linux-administrator.com
- Update to version 2.10.1
- reworked libdir patch
